/*
 * Copyright (c) 1996.  Netscape Communications Corporation.  All
 * rights reserved.
 * 
 * Delete an entry from the directory.
 *
 * Since it is an error to attempt to delete an entry which does not
 * exist, you cannot run this example until you have added the entry
 * with the Add.java example program.
 *
 */

import netscape.ldap.*;
import java.util.*;

public class ModRDN {
    public static void main( String[] args )
	{
		LDAPConnection ld = null;
		int status = -1;
		try {
			ld = new LDAPConnection();
			/* Connect to server */
			String MY_HOST = "osprey4.npac.syr.edu";
			int MY_PORT = 2323;
			ld.connect( MY_HOST, MY_PORT );

			/* Authenticate to the server as directory manager */
			String MGR_DN = "cn=Directory Manager";
			String MGR_PW = "secretdog";
			ld.authenticate( null,null);//MGR_DN, MGR_PW );

			/* Specify the DN we're deleting */
			//String dn = "uid=wbjensen, o=WebFlow, c=US";
			//String dn = "uid=wbjensen,o=WebFlow,c=US,o=WebFlow,c=US";
			String dn = "cn=Erol Akarsu,sim_type=QS,o=NPAC,o=WebFlow,c=US";
			
			
			//String newParentDN ="cn=GAUSS,cn=proje1,cn=Erol Akarsu,cn=GAUSS,cn=proje1,cn=Erol Akarsu,sim_type=QS,o=NPAC,o=WebFlow,c=US";
			
			//ld.delete( dn );
			//ld.rename(dn,"cn=Erol Akarsu modified",true);
			System.out.println( "Entry deleted" );

			dn = "fn=file2,cdn=GAUSS,pn=proje1,cn=Erol Akarsu,sim_type=QS,o=NPAC,o=WebFlow,c=US";
			ld.rename(dn,"cdn=ErolXXYY Akarsu modified",true);
			System.out.println( "Entry deleted" );
		}
		catch( LDAPException e ) {
			if ( e.getLDAPResultCode() == LDAPException.NO_SUCH_OBJECT )
				System.out.println( "Error: No such entry" );
			else if ( e.getLDAPResultCode() ==
					  LDAPException.INSUFFICIENT_ACCESS_RIGHTS )
				System.out.println( "Error: Insufficient rights" );
			else
				System.out.println( "Error: " + e.toString() );
		}

		/* Done, so disconnect */
		if ( (ld != null) && ld.isConnected() ) {
			try {
			    ld.disconnect();
			} catch ( LDAPException e ) {
				System.out.println( "Error: " + e.toString() );
			}
		}
		System.exit(status);
	}
}
